Quick Start

Your First API Call

Let's get started by fetching a list of your batches

curl \
  -X GET 'https://api.tech-detect.com/api/batch/list' \
  -H 'x-api-key: apiKey'
The JSON response is an array with details of each of your batches.
{
  "batches": [
    {
      "id": "BATCH-UUID",
      "name": "test",
      "urlsValid": 1,
      "urlsInvalid": 0,
      "urlsComplete": 0,
      "finish": null,
      "start": null
    }
  ]
}

Notes

  • Be sure to replace your 'YOUR-API-KEY' with a valid api key
  • All endpoints, with the exception of data download endpoints, return JSON data

Errors and Response Codes

API responses are served with standard HTTP status codes to indicate if the request was successful or if an error was encountered.

ResponseNotes
200 OKThe API request completed successfully
400 Bad RequestThe response body will include additional details about the cause
401 Missing API KeyThe api-key header was either empty or missing in the request
403 Invalid API KeyThe supplied api-key was invalid
404 Object Not FoundThe requested object was not found. This error is usually caused by an invalid :id parameter.
404 Not FoundThe "Not Found" response (vs "Object Not Found") indicates an invalid api endpoint url